import Link from "next/link";

interface IColumnHeader {
  Header: string;
  accessor: string;
  Cell?: (info: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: "User Id",
    accessor: "id",
    Cell: ({ row }) => (<Link href={`/admin/users/edit/${row?.original?.id}`}>{row?.original?.id}</Link>),
  },
  {
    Header: "employee Id",
    accessor: "employ_id",
  },
  {
    Header: "First Name",
    accessor: "first_name",
  },
  {
    Header: "Last Name",
    accessor: "last_name",
  },
  {
    Header: "Email",
    accessor: "email",
  },
];

